Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.database
Class OWLDatabaseKnowledgeBaseFactory

    java.lang.Object
      edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory
          edu.stanford.smi.protegex.owl.database.OWLDatabaseKnowledgeBaseFactory

All Implemented Interfaces:
  edu.stanford.smi.protege.model.KnowledgeBaseFactory, edu.stanford.smi.protege.model.KnowledgeBaseFactory2, OWLKnowledgeBaseFactory

    public class OWLDatabaseKnowledgeBaseFactory

extends edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory
implements OWLKnowledgeBaseFactory

A DatabaseKnowledgeBaseFactory with an even longer name.

Author:
  Holger Knublauch

Field Summary
`static String` | `NAMESPACE_PREFIX_SEPARATOR`

Fields inherited from class edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory
`DESCRIPTION`

Fields inherited from interface edu.stanford.smi.protege.model.KnowledgeBaseFactory
`FACTORY_CLASS_NAME`

Constructor Summary
`OWLDatabaseKnowledgeBaseFactory()`

Method Summary
`edu.stanford.smi.protege.model.KnowledgeBase` | `createKnowledgeBase(Collection errors)`
`String` | `getDescription()`
`String` | `getProjectFilePath()`
`protected void` | `initializeKB(edu.stanford.smi.protege.model.KnowledgeBase kb, String driver, String url, String user, String password, String table, boolean isInclude)`
`void` | `loadKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.util.PropertyList sources, Collection errors)`
`void` | `saveKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.util.PropertyList sources, Collection errors)`

Methods inherited from class edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory
`createKnowledgeBaseSourcesEditor, createNarrowFrameStore, getDatabaseFrameDb, getDatabaseFrameDbClass, getDriver, getPassword, getTableName, getURL, getUsername, includeKnowledgeBase, includeKnowledgeBase, insertKB, isComplete, loadKnowledgeBase, owlMode, prepareToSaveInFormat, setDriver, setOwlMode, setPassword, setSources, setTablename, setURL, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.model.KnowledgeBaseFactory
`createKnowledgeBaseSourcesEditor, includeKnowledgeBase, isComplete`

Field Detail

### NAMESPACE_PREFIX_SEPARATOR

    public static final String NAMESPACE_PREFIX_SEPARATOR

See Also:
  Constant Field Values

Constructor Detail

### OWLDatabaseKnowledgeBaseFactory

    public OWLDatabaseKnowledgeBaseFactory()

Method Detail

### createKnowledgeBase

    public edu.stanford.smi.protege.model.KnowledgeBase createKnowledgeBase(Collection errors)

  Specified by:
    `createKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`
  Overrides:
    `createKnowledgeBase` in class `edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory`

### getProjectFilePath

    public String getProjectFilePath()

  Specified by:
    `getProjectFilePath` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`
  Overrides:
    `getProjectFilePath` in class `edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`
  Overrides:
    `getDescription` in class `edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory`

### loadKnowledgeBase

    public void loadKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                  edu.stanford.smi.protege.util.PropertyList sources,
                                  Collection errors)

  Specified by:
    `loadKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`
  Overrides:
    `loadKnowledgeBase` in class `edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory`

### initializeKB

    protected void initializeKB(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                String driver,
                                String url,
                                String user,
                                String password,
                                String table,
                                boolean isInclude)

  Overrides:
    `initializeKB` in class `edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory`

### saveKnowledgeBase

    public void saveKnowledgeBase(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                  edu.stanford.smi.protege.util.PropertyList sources,
                                  Collection errors)

  Specified by:
    `saveKnowledgeBase` in interface `edu.stanford.smi.protege.model.KnowledgeBaseFactory`
  Overrides:
    `saveKnowledgeBase` in class `edu.stanford.smi.protege.storage.database.DatabaseKnowledgeBaseFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.